<?xml version="1.0" encoding="UTF-8"?>
<module rename-to='githubman'>
	<inherits name='com.google.gwt.user.User' />
	<inherits name="com.google.gwt.http.HTTP" />

	<inherits name='com.google.gwt.user.theme.clean.Clean' />

	<!-- <inherits name="com.allen_sauer.gwt.log.gwt-log-TRACE" /> -->
	<!-- <inherits name="com.google.gwt.logging.Logging" /> -->


	<!-- Debug CSS style -->
	<set-configuration-property name="CssResource.style"
		value="pretty" />

	<!-- <inherits name="org.gcube.portlets.user.tdw.TabularDataWidget" /> <inherits 
		name='org.gcube.portlets.user.gcubewidgets.WidgetFactory' /> <inherits name='org.gcube.portlets.user.csvimportwizard.CSVImportWizard' 
		/> -->
	<inherits name='org.gcube.portlets.widgets.sessionchecker.SessionChecker' />
	<!-- <inherits name="org.gcube.portlets.user.csvimportwizard.ws.CSVImportWizardWorkspace" 
		/> -->

	<entry-point
		class='org.gcube.portlets.widgets.githubconnector.client.GitHubConnectorManager' />

	<!-- 
	<set-property name="gwt.logging.enabled" value="TRUE" /> 
	<set-property name="gwt.logging.logLevel" value="SEVERE" />
	<set-property name="gwt.logging.consoleHandler" value="ENABLED" />
	<set-property name="gwt.logging.simpleRemoteHandler" value="ENABLED" />
	 -->
	
	<!-- 
	<set-property name="log_ConsoleLogger" value="ENABLED" />
	<set-property name="log_DivLogger" value="ENABLED" />
	<set-property name="log_GWTLogger" value="ENABLED" />
	<set-property name="log_SystemLogger" value="ENABLED" />   -->
	
	<!-- 
	<set-property name="log_ConsoleLogger" value="DISABLED" />
	<set-property name="log_DivLogger" value="DISABLED" />
	<set-property name="log_GWTLogger" value="DISABLED" />
	<set-property name="log_SystemLogger" value="DISABLED" />  -->

	<source path='client' />
	<source path='shared' />

</module>
